---
title: SVGPolylineElement
slug: Web/API/SVGPolylineElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGPolylineElement</code></strong> interface provides access to the properties of {{SVGElement("polyline")}} elements, as well as methods to manipulate them.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface doesn't implement any specific properties, but inherits properties from its parent, </em><em>{{domxref("SVGGeometryElement")}} and also implements properties from {{domxref("SVGAnimatedPoints")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent, </em><em>{{domxref("SVGGeometryElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "shapes.html#InterfaceSVGPolylineElement", "SVGPolylineElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Replaced the inheritance from {{domxref("SVGElement")}}{{domxref("SVGTests")}}, {{domxref("SVGLangSpace")}}, {{domxref("SVGExternalResourcesRequired")}}, {{domxref("SVGStylable")}}, and {{domxref("SVGTransformable")}} by {{domxref("SVGGeometryElement")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#InterfaceSVGPolylineElement", "SVGPolylineElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGPolylineElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("polyline")}}</li>
</ul>
